Bug 1176816 - booting a centos 7 container is extremely slow
Summary: booting a centos 7 container is extremely slow
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: lxc
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Thomas Moschny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-23 11:20 UTC by Enrique
Modified: 2015-06-30 01:15 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 01:15:14 UTC


Attachments (Terms of Use)

Description Enrique 2014-12-23 11:20:52 UTC
Description of problem:
 I have created a Centos 7 container with the command:

lxc-create -t centos -n testcen7 -- -R 7

 if I start the container with 

lxc-start  -n testcen7

 just afer "Mounting Configuration File System...", it goes through the rest of the services in a extremely slow fashion, like one item every 5 minutes.

Version-Release number of selected component (if applicable):

lxc-1.0.7-1.fc20.x86_64
python3-lxc-1.0.7-1.fc20.x86_64
lua-lxc-1.0.7-1.fc20.x86_64
lxc-extra-1.0.7-1.fc20.x86_64
lxc-libs-1.0.7-1.fc20.x86_64
lxc-templates-1.0.7-1.fc20.x86_64

How reproducible:

 At least I tried twice with the same result

Steps to Reproduce:

1. lxc-create -t centos -n testcen7 -- -R 7
2. lxc-start  -n testcen7

Comment 1 Enrique 2014-12-23 11:47:21 UTC
Additionally, the login and network services won't start:
[FAILED] Failed to start Login Service.
[FAILED] Failed to start LSB: Bring up/down networking.

Comment 2 Thomas Moschny 2015-01-26 19:32:32 UTC
Could be this issue: https://github.com/lxc/lxc/pull/342
which is fixed using this patch: https://github.com/lxc/lxc/commit/a341816

Could you verify this?

Comment 3 Enrique 2015-02-05 14:54:36 UTC
 That indeed solved the issue. Would this patch be included in future versions of LXC?

 Thank you very much for the support.

Comment 4 Thomas Moschny 2015-03-03 20:02:21 UTC
This has been merged to the stable-1.0 branch, so should be fixed in 1.0.8 when it is released.

Comment 5 Fedora End Of Life 2015-05-29 13:32:33 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2015-06-30 01:15:14 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.